Forum > General

Unable to install bgrabitmap using OPM on Linux

(1/1)

Marion:
Over the past year, I have tried to install bgrabitmap using the OPM but it never succeeds and I get a message of partial. I found this from April but after installing the two packages it still will not compile.

https://github.com/bgrabitmap/bgrabitmap/issues/171

I would really like to use SVGs in my project and for it to be cross platform with Windows. I was wondering if there is any news about how to get it to work?

See attachment for system info.

GetMem:
I don't think this issue is related tho BGRABitmap or OPM, you most likely missing some packages.  Unfortunately I don't know anything about Pop!_OS 22, but here is a guide for Linux Mint:
https://wiki.lazarus.freepascal.org/BGRA_Installation_on_Linux
Hopefully some of the following package can be installed on Pop too: libx11-dev libgtk2.0-dev libgdk-pixbuf2.0-dev libcairo2-dev libpango1.0-dev

Marion:

--- Quote from: GetMem on December 07, 2022, 09:29:50 pm ---I don't think this issue is related tho BGRABitmap or OPM, you most likely missing some packages.  Unfortunately I don't know anything about Pop!_OS 22, but here is a guide for Linux Mint:
https://wiki.lazarus.freepascal.org/BGRA_Installation_on_Linux
Hopefully some of the following package can be installed on Pop too: libx11-dev libgtk2.0-dev libgdk-pixbuf2.0-dev libcairo2-dev libpango1.0-dev

--- End quote ---

That was it! Thank you!

I will bookmark that page.

Navigation

[0] Message Index

Go to full version